# == Class: myapache::config
#
#   Defines configurations needed to setup an apache web-server.
#
class myapache::config {

  # replace default webpage installed by the myapache package
  file { $myapache::params::def_index_html :
    ensure  => present,
    owner   => 'root',
    group   => 'root',
    mode    => '0644',
    #source  => "puppet:///modules/myapache/default-index.html",
    content => template('myapache/default-index.html.erb'),
  }

}
